/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * ReuseReference
 */

public class ReuseReference extends BaseReference {
  @JsonProperty("image")
  private String image = null;

  @JsonProperty("image_thumbnail")
  private String imageThumbnail = null;

  @JsonProperty("page")
  private String page = null;

  @JsonProperty("title")
  private String title = null;

  @JsonProperty("uri")
  private String uri = null;

  public ReuseReference image(String image) {
    this.image = image;
    return this;
  }

   /**
   * The reuse thumbnail thumbnail (cropped) URL
   * @return image
  **/
  @ApiModelProperty(value = "The reuse thumbnail thumbnail (cropped) URL")
  public String getImage() {
    return image;
  }

  public void setImage(String image) {
    this.image = image;
  }

  public ReuseReference imageThumbnail(String imageThumbnail) {
    this.imageThumbnail = imageThumbnail;
    return this;
  }

   /**
   * The reuse thumbnail thumbnail URL. This is the square (100x100) and cropped version.
   * @return imageThumbnail
  **/
  @ApiModelProperty(value = "The reuse thumbnail thumbnail URL. This is the square (100x100) and cropped version.")
  public String getImageThumbnail() {
    return imageThumbnail;
  }

  public void setImageThumbnail(String imageThumbnail) {
    this.imageThumbnail = imageThumbnail;
  }

   /**
   * The reuse page URL
   * @return page
  **/
  @ApiModelProperty(value = "The reuse page URL")
  public String getPage() {
    return page;
  }

   /**
   * The reuse title
   * @return title
  **/
  @ApiModelProperty(value = "The reuse title")
  public String getTitle() {
    return title;
  }

   /**
   * The reuse API URI
   * @return uri
  **/
  @ApiModelProperty(value = "The reuse API URI")
  public String getUri() {
    return uri;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ReuseReference reuseReference = (ReuseReference) o;
    return Objects.equals(this.image, reuseReference.image) &&
        Objects.equals(this.imageThumbnail, reuseReference.imageThumbnail) &&
        Objects.equals(this.page, reuseReference.page) &&
        Objects.equals(this.title, reuseReference.title) &&
        Objects.equals(this.uri, reuseReference.uri) &&
        super.equals(o);
  }

  @Override
  public int hashCode() {
    return Objects.hash(image, imageThumbnail, page, title, uri, super.hashCode());
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ReuseReference {\n");
    sb.append("    ").append(toIndentedString(super.toString())).append("\n");
    sb.append("    image: ").append(toIndentedString(image)).append("\n");
    sb.append("    imageThumbnail: ").append(toIndentedString(imageThumbnail)).append("\n");
    sb.append("    page: ").append(toIndentedString(page)).append("\n");
    sb.append("    title: ").append(toIndentedString(title)).append("\n");
    sb.append("    uri: ").append(toIndentedString(uri)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

